Package pygccxml :: Package utils :: Class cached

# type cached

source code

    object --+
             |
      property --+
                 |
                cached

Convert a method into a cached attribute

Instance Methods

    property attribute

__init__(self, method) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code

Inherited from `property`: `__delete__`, `__get__`, `__getattribute__`, `__new__`, `__set__`

Static Methods

reset(self) | source code

Properties
Inherited from `property`: `fdel`, `fget`, `fset`

Method Details

### __init__(self, method)
(Constructor)

source code

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Returns:

    property attribute

Overrides: property.__init__
  (inherited documentation)